%define date 20151227
%define git 933c223

# (tv) fix build:
%global _ssp_cflags %nil

Name:		tcc
Version:	0.9.27
Release:	%mkrel 2
Summary:	Tiny C Compiler
License:	GPL
Group:		Development/C
URL:		http://bellard.org/tcc/
Source0:	http://download.savannah.nongnu.org/releases/tinycc/%{name}_%{version}~git%{date}.%{git}.tar.gz
Patch0:		tcc-0.9.26-arm.patch
Requires(post):	info-install
Requires(preun):info-install
BuildRequires:	texinfo

%description
Tiny C Compiler - C Scripting Everywhere - The Smallest ANSI C
compiler.


%prep
%setup -q -n tinycc-%git
%autopatch -p1

# path fix
find -type f | xargs perl -pi -e "s|^#\!/usr/local/bin|#\!%{_bindir}|g"

# (tv) fix path on x86_64:
%ifarch x86_64
perl -pi -e 's!/usr/lib!/usr/lib64!' libtcc.c tcc.h
%endif

# fix attribs
chmod 644 examples/*

%build
%configure2_5x

make CFLAGS="%{optflags}"
#make test

%install
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_includedir}
install -d %{buildroot}%{_mandir}/man1

%make_install

# cleanup
rm -rf %{buildroot}%{_docdir}/tcc

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc Changelog README TODO *.html examples
%{_bindir}/*
%{_libdir}/tcc/include/*.h
%exclude /usr/share/doc/%_libdir/tcc/tcc-doc.html
%{_libdir}/tcc/*/*.a
%{_libdir}/*.a
%{_includedir}/*.h
%{_infodir}/tcc-doc*
%{_mandir}/man1/tcc.1*


%changelog
* Sun Feb 07 2016 daviddavid <daviddavid> 0.9.27-2.mga6
+ Revision: 942302
- fix file list for arm

* Sat Feb 06 2016 tv <tv> 0.9.27-1.mga6
+ Revision: 942147
- new git snapshot from debian
- rediff ARM patch
- fix build
- adjust filelist

* Sat Feb 06 2016 wally <wally> 0.9.26-6.mga6
+ Revision: 942114
- fix arm build

* Sat Feb 06 2016 umeabot <umeabot> 0.9.26-5.mga6
+ Revision: 940209
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.26-4.mga5
+ Revision: 745596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.26-3.mga5
+ Revision: 689733
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.9.26-2.mga4
+ Revision: 532839
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 tv <tv> 0.9.26-1.mga4
+ Revision: 469683
- adjust file list
- BR texinfo
- new release
- fix build
- register info

* Mon Jan 14 2013 umeabot <umeabot> 0.9.25-5.mga3
+ Revision: 384141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.9.25-4.mga3
+ Revision: 324787
- rebuild for Mga3 Beta1

* Sat Jan 21 2012 kamil <kamil> 0.9.25-3.mga2
+ Revision: 199190
- adapt package for Mageia
- imported package tcc

